

function y = sinecurve_function_2(min_y,max_y,peak_days,timespan_days) %unit of time is days

peak_radians = (peak_days/365)*2*pi;
timespan_radians(1:timespan_days)=0; 
timespan_radians(:) = ((1:timespan_days)/365)*2*pi;
phase_shift = (pi/2-peak_radians);  %unit radians

y(timespan_days)=0;
y(:) = sin(timespan_radians+phase_shift);
y(:) = y(:) - min(y(:));  %Calculate values and make sure all values are positive
y(:) = y(:)/max(y(:));  %all values between 0 and 1
y(:) = min_y + (max_y-min_y)*y(:);  %rescale between min and max

end


